Subject: bug#46861: `guix deploy` permission denied error

From: pkill9 <[email-masked]>
Date: Wed, 3 Mar 2021 17:11:22 +0000

Ok, I just did `guix pull` on the machine deploying to the remote host,
which had the same problem before, and it created last-expiry-cleanup
and the file is owned by root, and changing it to my user fixed it. Not
sure what happened the first time around, I'm so confused...

My only guess is that I did a guix pull as root, which put that there
like suggested, but that guix deploy also relies on it, so when I
deleted that file, `guix deploy` didn't recreate it because it doesn't
handle it. The thing is, it didn't say no such file or directory, it
said permission denied. I dunno.. I worked myself up into confusion...